Loading...
Searching...
No Matches
CodeGen_GPU_Dev.h File Reference

Defines the code-generator interface for producing GPU device code. More...

`#include <string>`
`#include <vector>`
`#include "CodeGen_C.h"`
`#include "DeviceArgument.h"`
`#include "Expr.h"`

Go to the source code of this file.

## Classes

struct | Halide::Internal::CodeGen_GPU_Dev
| A code generator that emits GPU code from a given Halide stmt. More...
class | Halide::Internal::CodeGen_GPU_C
| A base class for GPU backends that require C-like shader output. More...

## Namespaces

namespace | Halide
| This file defines the class FunctionDAG, which is our representation of a Halide pipeline, and contains methods to using Halide's bounds tools to query properties of it.
namespace | Halide::Internal

## Detailed Description

Defines the code-generator interface for producing GPU device code.

Definition in file CodeGen_GPU_Dev.h.